SharedGalleriesOperations Class
SharedGalleriesOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectSharedGalleriesOperations
Constructor
SharedGalleriesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Get a shared gallery by subscription id or tenant id. |
| list |
List shared galleries by subscription id or tenant id. |
get
Get a shared gallery by subscription id or tenant id.
async get(location: str, gallery_unique_name: str, **kwargs: Any) -> azure.mgmt.compute.v2020_09_30.models._models_py3.SharedGallery
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
SharedGallery, or the result of cls(response)
Return type
Exceptions
list
List shared galleries by subscription id or tenant id.
list(location: str, shared_to: Optional[Union[str, azure.mgmt.compute.v2020_09_30.models._compute_management_client_enums.SharedToValues]] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.compute.v2020_09_30.models._models_py3.SharedGalleryList]
Parameters
- shared_to
- str or SharedToValues
The query parameter to decide what shared galleries to fetch when doing listing operations.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either SharedGalleryList or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.compute.v2020_09_30.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\compute\\v2020_09_30\\models\\__init__.py'>
Feedback
Submit and view feedback for